unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, TeeProcs, TeEngine, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    chkCreateSecondSeries: TCheckBox;
    procedure Button1Click(Sender: TObject);
  private
    procedure CreateNewSeriesSet(aMultiplier: Integer);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  ErrorBar, Series;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  chart1.FreeAllSeries;
  CreateNewSeriesSet(5);
  if chkCreateSecondSeries.checked then
    CreateNewSeriesSet(10);

end;

procedure TForm1.CreateNewSeriesSet(aMultiplier: Integer);
var
  cntr: Integer;
  newErr: TErrorSeries;
  newPt: TPointSeries;
begin
  newPt:=TPointSeries.Create(chart1);
  newPt.ParentChart:=chart1;
  newPt.BeginUpdate;
  for cntr := 0 to 3  do
  begin
    newPt.addxy(cntr*5,cntr*aMultiplier);
  end;
  newPt.EndUpdate;
  newErr:=TErrorSeries.Create(chart1);
  newErr.ParentChart:=chart1;
  newErr.BeginUpdate;
  for cntr := 0 to 3  do
  begin
    newErr.addErrorBar(cntr*5,cntr*aMultiplier,5,'',clRed);
  end;
  newErr.EndUpdate;
end;

end.
